This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 139771 - NMI: inconsistent signal strength reporting
NMI: inconsistent signal strength reporting
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-17 17:49 EST by Zack Cerza
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-09 07:07:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot of popup menu (18.21 KB, image/png)
2004-11-17 17:50 EST, Zack Cerza
no flags Details

  None (edit)
Description Zack Cerza 2004-11-17 17:49:58 EST
Description of problem:
NMI's tooltip and notification icon show my connection strength to a
WEPped net at 100%. The popup menu shows me at 0%. The net is working;
I'm sending this report over it.

Version-Release number of selected component (if applicable):
NetworkManager-0.3.2-3.cvs20041117
Comment 1 Zack Cerza 2004-11-17 17:50:41 EST
Created attachment 106924 [details]
screenshot of popup menu
Comment 2 Dan Williams 2005-01-29 17:00:23 EST
Yep, this sucks.  What driver?  Its really a mess right now, each
driver  is slightly different.  However, I've started trying to get a
handle on what each driver does for quality and how to work around them.
Comment 3 Ryan James 2005-02-09 04:23:00 EST
i'm using the default/included prism54 drivers and with the latest
networkmanager (0.3.3-1.cvs20050202.3.1) it's now reporting a signal strength of
~15% where it should be 100%.
Comment 4 Dan Williams 2005-02-09 07:07:55 EST
Unfortunately, the  prism54 driver is actually quite broken with respect to
signal quality and that's the part that needs to get fixed.  It doesn't conform
to the Wireless Extensions API.  Specifically, its signal quality calculation is
wrong, it doesn't give max quality, and it doesn't return correct signal levels
either.  I plan to take a shot at fixing it in the near future, but that's a
kernel bug and not NetworkManager...
Comment 5 Zack Cerza 2005-02-09 13:58:15 EST
dcbw, then shouldn't this bug be reassigned to kernel? unfortunately i 
have no way to test this anymore :( 

Note You need to log in before you can comment on or make changes to this bug.